/*******************************************************************************
* File Name: LED.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LED_ALIASES_H) /* Pins LED_ALIASES_H */
#define CY_PINS_LED_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define LED_0			(LED__0__PC)
#define LED_0_INTR	((uint16)((uint16)0x0001u << LED__0__SHIFT))

#define LED_1			(LED__1__PC)
#define LED_1_INTR	((uint16)((uint16)0x0001u << LED__1__SHIFT))

#define LED_2			(LED__2__PC)
#define LED_2_INTR	((uint16)((uint16)0x0001u << LED__2__SHIFT))

#define LED_3			(LED__3__PC)
#define LED_3_INTR	((uint16)((uint16)0x0001u << LED__3__SHIFT))

#define LED_INTR_ALL	 ((uint16)(LED_0_INTR| LED_1_INTR| LED_2_INTR| LED_3_INTR))
#define LED_LED1			(LED__LED1__PC)
#define LED_LED1_INTR	((uint16)((uint16)0x0001u << LED__0__SHIFT))

#define LED_LED2			(LED__LED2__PC)
#define LED_LED2_INTR	((uint16)((uint16)0x0001u << LED__1__SHIFT))

#define LED_LED3			(LED__LED3__PC)
#define LED_LED3_INTR	((uint16)((uint16)0x0001u << LED__2__SHIFT))

#define LED_LED4			(LED__LED4__PC)
#define LED_LED4_INTR	((uint16)((uint16)0x0001u << LED__3__SHIFT))

#endif /* End Pins LED_ALIASES_H */


/* [] END OF FILE */
